Bug 68125 - [WK2] mouseDidMoveOverElement needs to send more information about hovered element to UiProcess.
Summary: [WK2] mouseDidMoveOverElement needs to send more information about hovered el...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-14 15:23 PDT by Igor Trindade Oliveira
Modified: 2011-09-16 17:15 PDT (History)
6 users (show)

See Also:


Attachments
Patch v1 (19.12 KB, patch)
2011-09-14 15:42 PDT, Igor Trindade Oliveira
andersca: review+
gustavo.noronha: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Trindade Oliveira 2011-09-14 15:23:15 PDT
mouseDidMoveOverElement needs to send more information about hovered element to UiProcess. Currently when a link is hovered, UiProcess can not know the link url.
Comment 1 Igor Trindade Oliveira 2011-09-14 15:42:17 PDT
Created attachment 107411 [details]
Patch v1

Proposed patch.
Comment 2 Alexey Proskuryakov 2011-09-14 23:38:41 PDT
Could you please provide a rationale in more practical terms? Why does UI process need to know the URL - is it for some functionality similar to status bar?

There is no stable WebKit2 API yet, so anything that didn't come with good rationale is likely to be simply deleted at some point.
Comment 3 Collabora GTK+ EWS bot 2011-09-15 00:24:15 PDT
Comment on attachment 107411 [details]
Patch v1

Attachment 107411 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9657953
Comment 4 WebKit Review Bot 2011-09-15 02:59:58 PDT
Comment on attachment 107411 [details]
Patch v1

Attachment 107411 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/9686007
Comment 5 Igor Trindade Oliveira 2011-09-15 08:00:06 PDT
In Chrome and Firefox when the user move the mouse over a link in a page the link is showed. It improves the browser usability. Additionally, we from QtWebKit have plans to use this feature, so this code will not be a dead code.

(In reply to comment #2)
> Could you please provide a rationale in more practical terms? Why does UI process need to know the URL - is it for some functionality similar to status bar?
> 
> There is no stable WebKit2 API yet, so anything that didn't come with good rationale is likely to be simply deleted at some point.
Comment 6 Alexey Proskuryakov 2011-09-15 08:54:47 PDT
That looks pretty much like status bar in Safari, which already works in WebKit2, showing the URL. What is the difference between these?
Comment 7 Anders Carlsson 2011-09-15 09:39:21 PDT
(In reply to comment #6)
> That looks pretty much like status bar in Safari, which already works in WebKit2, showing the URL. What is the difference between these?

The way this works in Safari is that we gather the information in the injected bundle and pass it over. I think this way is better because it eases the burden on the WebKit2 client apps.
Comment 8 Igor Trindade Oliveira 2011-09-16 11:52:23 PDT
manually committed r95303: http://trac.webkit.org/changeset/95303
Comment 9 Anders Carlsson 2011-09-16 12:29:26 PDT
I had to revert part of this because it changes the signature of the mouseDidMoveOverElement callback which breaks the ABI and thus WebKit nighties. I'm working on a fix.
Comment 10 Anders Carlsson 2011-09-16 13:17:15 PDT
Fix landed in r95315: <http://trac.webkit.org/changeset/95315> and everything should be back to normal!
Comment 11 Mark Rowe (bdash) 2011-09-16 17:15:19 PDT
This change started installing source and header files in to the WebKit2 framework.  Please be more careful when making Xcode project changes in the future!